﻿<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="4.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProductVersion>9.0.30729</ProductVersion>
    <SchemaVersion>2.0</SchemaVersion>
    <ProjectGuid>{7DE70F4B-2CED-4136-890D-40527A3BC553}</ProjectGuid>
    <OutputType>Library</OutputType>
    <RootNamespace>CtsOrderManager.UnitTest</RootNamespace>
    <AssemblyName>CtsOrderManager.UnitTest</AssemblyName>
    <FileAlignment>512</FileAlignment>
    <MyType>Windows</MyType>
    <TargetFrameworkVersion>v3.5</TargetFrameworkVersion>
    <ProjectTypeGuids>{3AC096D0-A1C2-E12C-1390-A8335801FDAB};{F184B08F-C81C-45F6-A57F-5ABD9991F28F}</ProjectTypeGuids>
    <OptionExplicit>On</OptionExplicit>
    <OptionCompare>Binary</OptionCompare>
    <OptionStrict>On</OptionStrict>
    <OptionInfer>On</OptionInfer>
    <SccProjectName>
    </SccProjectName>
    <SccLocalPath>
    </SccLocalPath>
    <SccAuxPath>
    </SccAuxPath>
    <SccProvider>
    </SccProvider>
    <FileUpgradeFlags>
    </FileUpgradeFlags>
    <OldToolsVersion>3.5</OldToolsVersion>
    <UpgradeBackupLocation />
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <DefineDebug>true</DefineDebug>
    <DefineTrace>true</DefineTrace>
    <OutputPath>$(OUT_DIR)\build\tests\ut\</OutputPath>
    <DocumentationFile>
    </DocumentationFile>
    <NoWarn>42353,42354,42355</NoWarn>
    <WarningsAsErrors>41999,42016,42017,42018,42019,42020,42021,42022,42032,42036</WarningsAsErrors>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <DefineDebug>false</DefineDebug>
    <DefineTrace>true</DefineTrace>
    <Optimize>true</Optimize>
    <OutputPath>$(OUT_DIR)\build\tests\ut\</OutputPath>
    <DocumentationFile>
    </DocumentationFile>
    <NoWarn>42353,42354,42355</NoWarn>
    <WarningsAsErrors>41999,42016,42017,42018,42019,42020,42021,42022,42032,42036</WarningsAsErrors>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="Microsoft.VisualStudio.QualityTools.UnitTestFramework, Version=10.1.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a, processorArchitecture=MSIL">
      <SpecificVersion>True</SpecificVersion>
    </Reference>
    <Reference Include="NSubstitute, Version=1.4.3.0, Culture=neutral, PublicKeyToken=92dd2e9066daa5ca, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
    </Reference>
    <Reference Include="System" />
    <Reference Include="System.Core">
      <RequiredTargetFramework>3.5</RequiredTargetFramework>
      <Private>False</Private>
    </Reference>
    <Reference Include="System.Data" />
    <Reference Include="System.Xml">
      <Private>False</Private>
    </Reference>
    <Reference Include="System.Xml.Linq">
      <RequiredTargetFramework>3.5</RequiredTargetFramework>
      <Private>False</Private>
    </Reference>
  </ItemGroup>
  <ItemGroup>
    <Import Include="Cts.Oasys.Hubs.Webservices" />
    <Import Include="Microsoft.VisualBasic" />
    <Import Include="Microsoft.VisualStudio.TestTools.UnitTesting" />
    <Import Include="System" />
    <Import Include="System.Data" />
    <Import Include="TpWickes" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="DISetup.vb" />
    <Compile Include="My Project\AssemblyInfo.vb" />
    <Compile Include="RequestDecisionEngineTests.vb" />
    <Compile Include="StubRequestDecisionEngineDatabase.vb" />
    <Compile Include="SystemCheck.vb" />
    <Compile Include="XMLToQODTextsConvertor_UnitTests.vb" />
  </ItemGroup>
  <ItemGroup>
    <None Include="app.config" />
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\..\..\..\..\main\bo\Cts.Oasys.Core\Cts.Oasys.Core2\Cts.Oasys.Core2.csproj">
      <Project>{93F81432-BC23-4C71-917D-9C4CCA1A916C}</Project>
      <Name>Cts.Oasys.Core2</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\..\..\..\main\bo\hubs\Cts.Oasys.Hubs.Core\Cts.Oasys.Hubs.Core.Order\Cts.Oasys.Hubs.Core.Order.vbproj">
      <Project>{888BFB60-D7B8-4CBD-BB62-3DAB4DED7C9A}</Project>
      <Name>Cts.Oasys.Hubs.Core.Order</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\..\..\..\main\bo\hubs\Cts.Oasys.Hubs.Core\Cts.Oasys.Hubs.Core.System\Cts.Oasys.Hubs.Core.System.vbproj">
      <Project>{C5DA58D9-FEDD-45B2-A22B-D60CF76D1996}</Project>
      <Name>Cts.Oasys.Hubs.Core.System</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\..\..\..\main\bo\hubs\Cts.Oasys.Hubs.Core\Cts.Oasys.Hubs.Core\Cts.Oasys.Hubs.Core.vbproj">
      <Project>{27D0A495-034C-469B-9A0C-4676820EC314}</Project>
      <Name>Cts.Oasys.Hubs.Core</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\..\..\..\main\bo\hubs\Cts.Oasys.Hubs.Web\CtsOrderManager\CtsOrderManager.vbproj">
      <Project>{6420497A-48C5-4193-8CF4-C923EA6B7798}</Project>
      <Name>CtsOrderManager</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\..\..\..\main\bo\hubs\TpWickes.Hubs\TpWickes.Hubs.Library\TpWickes.Hubs.Library.vbproj">
      <Project>{B1BCA2EF-1D9F-47CF-A080-760D0E7F9A38}</Project>
      <Name>TpWickes.Hubs.Library</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\..\..\..\main\bo\WSS.BO.DataLayer.Model\WSS.BO.DataLayer.Model.csproj">
      <Project>{51632FE5-670C-4F64-8BAB-705583A3FF46}</Project>
      <Name>WSS.BO.DataLayer.Model</Name>
    </ProjectReference>
  </ItemGroup>
  <Import Project="$(MSBuildBinPath)\Microsoft.VisualBasic.targets" />
  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
       Other similar extension points exist, see Microsoft.Common.targets.
  <Target Name="BeforeBuild">
  </Target>
  <Target Name="AfterBuild">
  </Target>
  -->
</Project>